Commit 524bad70fcf060c182e97bf765491af3696f6520

Authored by iOS-Xiaowen
1 parent ebd5b404

no message

CNLiveBLoginModule/Classes/Model/CNLiveLoginRequest.m
@@ -11,6 +11,7 @@ @@ -11,6 +11,7 @@
11 #import "QMUIKit.h" 11 #import "QMUIKit.h"
12 #import <CNLiveBServices/CNLiveBServices.h> 12 #import <CNLiveBServices/CNLiveBServices.h>
13 #import "CNLiveEnvironment.h" 13 #import "CNLiveEnvironment.h"
  14 +#import "CNUserInfoManager.h"
14 15
15 @interface CNLiveLoginRequest() 16 @interface CNLiveLoginRequest()
16 17
@@ -49,7 +50,7 @@ @@ -49,7 +50,7 @@
49 // 登录IM 50 // 登录IM
50 - (void)loginTIM:(NSString *)uid success:(void (^)(void))success failed:(void (^)(int code, NSString * msg))failed{ 51 - (void)loginTIM:(NSString *)uid success:(void (^)(void))success failed:(void (^)(int code, NSString * msg))failed{
51 id<CNLiveBMessageServiceProtocol> service = [[BeeHive shareInstance] createService:@protocol(CNLiveBMessageServiceProtocol)]; 52 id<CNLiveBMessageServiceProtocol> service = [[BeeHive shareInstance] createService:@protocol(CNLiveBMessageServiceProtocol)];
52 - [service loginIM:uid appId:AppId sdkAppId:SdkAppId appKey:APPKey busiId:IM_Cer_BusiId]; 53 + [service loginIM:CNUserShareModel.liveUid appId:AppId sdkAppId:SdkAppId appKey:APPKey busiId:IM_Cer_BusiId];
53 success?success():@""; 54 success?success():@"";
54 } 55 }
55 56
Example/CNLiveBLoginModule.xcodeproj/project.pbxproj
@@ -207,8 +207,8 @@ @@ -207,8 +207,8 @@
207 6003F586195388D20070C39A /* Sources */, 207 6003F586195388D20070C39A /* Sources */,
208 6003F587195388D20070C39A /* Frameworks */, 208 6003F587195388D20070C39A /* Frameworks */,
209 6003F588195388D20070C39A /* Resources */, 209 6003F588195388D20070C39A /* Resources */,
210 - D5F1EBE7FFD827F1B99CB5E2 /* [CP] Embed Pods Frameworks */,  
211 - 341C8EF78B0197B9D1675D61 /* [CP] Copy Pods Resources */, 210 + 26FFD7644A068AC932045BA2 /* [CP] Embed Pods Frameworks */,
  211 + FC7F634D4BA3ADBEED846358 /* [CP] Copy Pods Resources */,
212 ); 212 );
213 buildRules = ( 213 buildRules = (
214 ); 214 );
@@ -299,53 +299,7 @@ @@ -299,53 +299,7 @@
299 /* End PBXResourcesBuildPhase section */ 299 /* End PBXResourcesBuildPhase section */
300 300
301 /* Begin PBXShellScriptBuildPhase section */ 301 /* Begin PBXShellScriptBuildPhase section */
302 - 341C8EF78B0197B9D1675D61 /* [CP] Copy Pods Resources */ = {  
303 - isa = PBXShellScriptBuildPhase;  
304 - buildActionMask = 2147483647;  
305 - files = (  
306 - );  
307 - inputPaths = (  
308 - "${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-resources.sh",  
309 - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBLoginModule/CNLiveBLoginModule.bundle",  
310 - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBUserAgreement/CNLiveBUserAgreement.bundle",  
311 - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveShareToolKit/CNLiveShareToolKit.bundle",  
312 - "${PODS_ROOT}/WeiboSDK/libWeiboSDK/WeiboSDK.bundle",  
313 - );  
314 - name = "[CP] Copy Pods Resources";  
315 - outputPaths = (  
316 - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBLoginModule.bundle",  
317 - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBUserAgreement.bundle",  
318 - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveShareToolKit.bundle",  
319 - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/WeiboSDK.bundle",  
320 - );  
321 - runOnlyForDeploymentPostprocessing = 0;  
322 - shellPath = /bin/sh;  
323 - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-resources.sh\"\n";  
324 - showEnvVarsInLog = 0;  
325 - };  
326 - 6F4CF912241B66B2163C0256 /* [CP] Check Pods Manifest.lock */ = {  
327 - isa = PBXShellScriptBuildPhase;  
328 - buildActionMask = 2147483647;  
329 - files = (  
330 - );  
331 - inputFileListPaths = (  
332 - );  
333 - inputPaths = (  
334 - "${PODS_PODFILE_DIR_PATH}/Podfile.lock",  
335 - "${PODS_ROOT}/Manifest.lock",  
336 - );  
337 - name = "[CP] Check Pods Manifest.lock";  
338 - outputFileListPaths = (  
339 - );  
340 - outputPaths = (  
341 - "$(DERIVED_FILE_DIR)/Pods-CNLiveBLoginModule_Tests-checkManifestLockResult.txt",  
342 - );  
343 - runOnlyForDeploymentPostprocessing = 0;  
344 - shellPath = /bin/sh;  
345 - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";  
346 - showEnvVarsInLog = 0;  
347 - };  
348 - D5F1EBE7FFD827F1B99CB5E2 /* [CP] Embed Pods Frameworks */ = { 302 + 26FFD7644A068AC932045BA2 /* [CP] Embed Pods Frameworks */ = {
349 isa = PBXShellScriptBuildPhase; 303 isa = PBXShellScriptBuildPhase;
350 buildActionMask = 2147483647; 304 buildActionMask = 2147483647;
351 files = ( 305 files = (
@@ -421,6 +375,28 @@ @@ -421,6 +375,28 @@
421 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-frameworks.sh\"\n"; 375 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-frameworks.sh\"\n";
422 showEnvVarsInLog = 0; 376 showEnvVarsInLog = 0;
423 }; 377 };
  378 + 6F4CF912241B66B2163C0256 /* [CP] Check Pods Manifest.lock */ = {
  379 + isa = PBXShellScriptBuildPhase;
  380 + buildActionMask = 2147483647;
  381 + files = (
  382 + );
  383 + inputFileListPaths = (
  384 + );
  385 + inputPaths = (
  386 + "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
  387 + "${PODS_ROOT}/Manifest.lock",
  388 + );
  389 + name = "[CP] Check Pods Manifest.lock";
  390 + outputFileListPaths = (
  391 + );
  392 + outputPaths = (
  393 + "$(DERIVED_FILE_DIR)/Pods-CNLiveBLoginModule_Tests-checkManifestLockResult.txt",
  394 + );
  395 + runOnlyForDeploymentPostprocessing = 0;
  396 + shellPath = /bin/sh;
  397 + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  398 + showEnvVarsInLog = 0;
  399 + };
424 FB82CB4346E92958307849D9 /* [CP] Check Pods Manifest.lock */ = { 400 FB82CB4346E92958307849D9 /* [CP] Check Pods Manifest.lock */ = {
425 isa = PBXShellScriptBuildPhase; 401 isa = PBXShellScriptBuildPhase;
426 buildActionMask = 2147483647; 402 buildActionMask = 2147483647;
@@ -443,6 +419,30 @@ @@ -443,6 +419,30 @@
443 shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; 419 shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
444 showEnvVarsInLog = 0; 420 showEnvVarsInLog = 0;
445 }; 421 };
  422 + FC7F634D4BA3ADBEED846358 /* [CP] Copy Pods Resources */ = {
  423 + isa = PBXShellScriptBuildPhase;
  424 + buildActionMask = 2147483647;
  425 + files = (
  426 + );
  427 + inputPaths = (
  428 + "${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-resources.sh",
  429 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBLoginModule/CNLiveBLoginModule.bundle",
  430 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBUserAgreement/CNLiveBUserAgreement.bundle",
  431 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveShareToolKit/CNLiveShareToolKit.bundle",
  432 + "${PODS_ROOT}/WeiboSDK/libWeiboSDK/WeiboSDK.bundle",
  433 + );
  434 + name = "[CP] Copy Pods Resources";
  435 + outputPaths = (
  436 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBLoginModule.bundle",
  437 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBUserAgreement.bundle",
  438 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveShareToolKit.bundle",
  439 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/WeiboSDK.bundle",
  440 + );
  441 + runOnlyForDeploymentPostprocessing = 0;
  442 + shellPath = /bin/sh;
  443 + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-resources.sh\"\n";
  444 + showEnvVarsInLog = 0;
  445 + };
446 /* End PBXShellScriptBuildPhase section */ 446 /* End PBXShellScriptBuildPhase section */
447 447
448 /* Begin PBXSourcesBuildPhase section */ 448 /* Begin PBXSourcesBuildPhase section */